JavaMelody Confluence 5.3 compatibility

Has anyone installed JavaMelody with Confluence 5.3 war installation. Oh running on Tomcat 7/JDK 7.

I get the following error.


java.lang.IllegalStateException: java.lang.IllegalArgumentException: argument type mismatch
at net.bull.javamelody.JiraMonitoringFilter.hasConfluenceAdminPermission(JiraMonitoringFilter.java:212)

caused by: java.lang.IllegalArgumentException: argument type mismatch
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

2 answers

1 accepted

This widget could not be displayed.

Bug is beeing tracked here:

https://code.google.com/p/javamelody/issues/detail?id=359

There you can get a snapshot Version. Should be fixed in Verison v1.48.0

On my site (Jira 6.0.7, Confluence 5.3.4) Verison v1.48.1 is running

This widget could not be displayed.

Same Error in Confluence 5.3.1 and Tomcat 6.0.35

That should have been a comment.

Suggest an answer

Log in or Sign up to answer
Atlassian Summit 2018

Meet the community IRL

Atlassian Summit is an excellent opportunity for in-person support, training, and networking.

Learn more
Community showcase
Posted yesterday in Statuspage

What are your best incident management tips and stories? #HugOps

 👋Community members! Downtime happens. And great incident response takes a village. Teams like Support, Dev, SRE, Ops, IT, and Marketing have to come together to resolve the problem while keep...

81 views 3 3
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you